# Standards: 0.11
---

# 9.2.3 Ensure password reuse is limited
- name: 9.2.3 - Ensure password reuse is limited (/etc/pam.d/common-password)
  stat:
    path: "/etc/pam.d/common-password"
  register: password_9_2_3
  tags:
    - level-1
    - section-9
    - "9.2.3"
    - scored

- name: 9.2.3 - Ensure password reuse is limited (/etc/pam.d/common-password)
  copy:
    dest: "/etc/pam.d/common-password"
    content: "password        [success=1 default=ignore]      pam_unix.so obscure sha512 remember=5\n"
  when: password_9_2_3 is not defined
  tags:
    - level-1
    - section-9
    - "9.2.2"
    - scored

- name: 9.2.3 - Ensure password reuse is limited (/etc/pam.d/common-password)
  lineinfile:
    dest: "/etc/pam.d/common-password"
    regexp: "^password.*"
    line: "password        [success=1 default=ignore]      pam_unix.so obscure sha512 remember=5\n"
  when: password_9_2_3.stat.exists is defined and password_9_2_3.stat.exists
  tags:
    - level-1
    - section-9
    - "9.2.2"
    - scored